JkServlet (Tomcat API Documentation)
Keywords: org.apache.ajp.tomcat4.JkServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ajp.tomcat4
Class JkServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.ajp.tomcat4.JkServlet

All Implemented Interfaces:
  ContainerServlet, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class JkServlet
extends javax.servlet.http.HttpServlet
implements ContainerServlet

Module loader for JkServlet

Author:
  Costin Manolache
See Also:
  Serialized Form

Constructor Summary
`JkServlet()`

Method Summary
`Wrapper` | `getWrapper()` Return the Wrapper with which this Servlet is associated.
`void` | `init()` Initialize this servlet.
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setWrapper(Wrapper wrapper)` Set the Wrapper with which this Servlet is associated.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JkServlet

    public JkServlet()

Method Detail

### getWrapper

    public Wrapper getWrapper()

  Description copied from interface: `ContainerServlet`
  Return the Wrapper with which this Servlet is associated.

  Specified by:
    `getWrapper` in interface `ContainerServlet`

### setWrapper

    public void setWrapper(Wrapper wrapper)

  Description copied from interface: `ContainerServlet`
  Set the Wrapper with which this Servlet is associated.

  Specified by:
    `setWrapper` in interface `ContainerServlet`
  Parameters:
    `wrapper` - The new associated Wrapper

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.